//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
//
//	sdrc_lite sdr sdram controller
//
//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
`timescale 1ns/100ps
module SDRC_BL_CNT(
	sys_clk,
	sys_rst_n,
	sdrc_sclr_n,
	bl_cnt_sclr,
	bl_cnt_num
);
`include "../rtl/SDRC_LITE_PAR.v"
	input	sys_clk;
	input	sys_rst_n;
	input	sdrc_sclr_n;
	input	bl_cnt_sclr;
	output	reg	[BL_CNT_W-1:0]	bl_cnt_num;
	//the counter
	always@(posedge sys_clk, negedge sys_rst_n)
		if(sys_rst_n == 1'b0)
			bl_cnt_num		<=	0;
		else if((sdrc_sclr_n == 1'b0) | (bl_cnt_sclr == 1'b1))
			bl_cnt_num		<=	0;
		else
			bl_cnt_num		<=	bl_cnt_num + {{(BL_CNT_W-1){1'b0}}, 1'b1};
endmodule
