//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
//
//	sdrc_lite sdr sdram controller
//
//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
`timescale 1ns/100ps
module SDRC_BL_CNT_tb;
`include "../rtl/SDRC_LITE_PAR.v"
reg		sys_clk;
reg		sys_rst_n;
reg		sdrc_sclr_n;
reg		bl_cnt_sclr;
wire	[BL_CNT_W-1:0]	bl_cnt_num;
SDRC_BL_CNT sdrc_bl_cnt0(
	.sys_clk(sys_clk),
	.sys_rst_n(sys_rst_n),
	.sdrc_sclr_n(sdrc_sclr_n),
	.bl_cnt_sclr(bl_cnt_sclr),
	.bl_cnt_num(bl_cnt_num)
);
initial sys_clk = 1'b0;
always #5 sys_clk = ~sys_clk;
//rst and conditions
initial begin
	sys_rst_n = 1'b1;
	sdrc_sclr_n = 1'b1;
	bl_cnt_sclr = 1'b0;
	#1
	sys_rst_n = 1'b0;
	#1
	sys_rst_n = 1'b1;
	//wait
	#(10*(2**BL_CNT_W) + 60)
	sdrc_sclr_n = 1'b0;
	#10
	sdrc_sclr_n = 1'b1;
	//wait
	#(10*(2**BL_CNT_W) + 60)
	bl_cnt_sclr = 1'b1;
	#10
	bl_cnt_sclr = 1'b0;
	#40
	$finish;
end
//For Verdi or Debussy debugging
initial begin
	$fsdbDumpfile("SDRC_BL_CNT_tb.fsdb");
	$fsdbDumpvars(0,SDRC_BL_CNT_tb);
end
endmodule
