//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
//
//	sdrc_lite sdr sdram controller
//
//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
`timescale 1ns/100ps
module SDRC_CMD_CNT(
	sys_clk,
	sys_rst_n,
	sys_sclr_n,
	i_cmd_cnt_sclr,
	c_cmd_cnt_sclr,
	cmd_cnt_num
);
`include "../rtl/SDRC_LITE_PAR.v"
	input	sys_clk;
	input	sys_rst_n;
	input	sys_sclr_n;
	input	i_cmd_cnt_sclr;
	input	c_cmd_cnt_sclr;
	output	reg	[CMD_CNT_W-1:0]	cmd_cnt_num;
	wire	cmd_cnt_sclr;
	assign cmd_cnt_sclr = i_cmd_cnt_sclr | c_cmd_cnt_sclr;
	//the counter
	always@(posedge sys_clk, negedge sys_rst_n)
		if(sys_rst_n == 1'b0)
			cmd_cnt_num		<=	0;
		else if((sys_sclr_n == 1'b0) | (cmd_cnt_sclr == 1'b1))
			cmd_cnt_num		<=	0;
		else
			cmd_cnt_num		<=	cmd_cnt_num + {{(CMD_CNT_W-1){1'b0}}, 1'b1};
endmodule
