//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
//
//	sdrc_lite sdr sdram controller
//
//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
`timescale 1ns/100ps
module SDRC_CMD_CNT_tb;
`include "../rtl/SDRC_LITE_PAR.v"
reg		sys_clk;
reg		sys_rst_n;
reg		sys_sclr_n;
reg		i_cmd_cnt_sclr;
reg		c_cmd_cnt_sclr;
wire	[CMD_CNT_W-1:0]	cmd_cnt_num;
SDRC_CMD_CNT sdrc_cmd_cnt0(
	.sys_clk(sys_clk),
	.sys_rst_n(sys_rst_n),
	.sys_sclr_n(sys_sclr_n),
	.i_cmd_cnt_sclr(i_cmd_cnt_sclr),
	.c_cmd_cnt_sclr(c_cmd_cnt_sclr),
	.cmd_cnt_num(cmd_cnt_num)
);
//clk
initial sys_clk = 1'b0;
always #5 sys_clk = ~sys_clk;
//rst and conditions
initial begin
	sys_rst_n		= 1'b1;
	sys_sclr_n		= 1'b1;
	i_cmd_cnt_sclr	= 1'b0;
	c_cmd_cnt_sclr	= 1'b0;
	#1
	sys_rst_n		= 1'b0;
	#1
	sys_rst_n		= 1'b1;
	//wait
	#(CtRFCm1*10 + 60)
	sys_sclr_n		= 1'b0;
	#10
	sys_sclr_n		= 1'b1;
	//wait
	#(CtRFCm1*10 + 60)
	i_cmd_cnt_sclr	= 1'b1;
	#10
	i_cmd_cnt_sclr	= 1'b0;
	//wait
	#(CtRFCm1*10 + 60)
	c_cmd_cnt_sclr	= 1'b1;
	#10
	c_cmd_cnt_sclr	= 1'b0;
	#40
	$finish;
end
//For Verdi or Debussy debugging
initial begin
	$fsdbDumpfile("SDRC_CMD_CNT_tb.fsdb");
	$fsdbDumpvars(0,SDRC_CMD_CNT_tb);
end
endmodule
