//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
//
//	sdrc_lite sdr sdram controller
//
//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
`timescale 1ns/100ps
module SDRC_CMD_FSM_TST(
	sys_clk,
	sys_rst_n,
	sys_sclr_n,
	ini_ready,
	sys_rd_req,
	sys_wr_req,
	sdrc_ref_req,
	cmd_nop,
	cmd_ref,
	cmd_act,
	cmd_wra,
	cmd_rda,
	cmd_ready,	
	dp_rd,
	dp_wr
);
`include "../rtl/SDRC_LITE_PAR.v"
input	sys_clk;
input	sys_rst_n;
input	sys_sclr_n;
input	ini_ready;
input	sys_rd_req;
input	sys_wr_req;
input	sdrc_ref_req;
output	cmd_nop;
output	cmd_ref;
output	cmd_act;
output	cmd_wra;
output	cmd_rda;
output	cmd_ready;
output	dp_rd;
output	dp_wr;
wire	bl_cnt_sclr;
wire	i_cmd_cnt_sclr;
wire	c_cmd_cnt_sclr;
wire	[BL_CNT_W-1:0]	bl_cnt_num;
wire	[CMD_CNT_W-1:0]	cmd_cnt_num;
wire	sdrc_sclr_n;
assign sdrc_sclr_n = sys_sclr_n & ini_ready;
assign i_cmd_cnt_sclr = 1'b0;
SDRC_CMD_FSM sdrc_cmd_fsm0(
	.sys_clk(sys_clk),
	.sys_rst_n(sys_rst_n),
	.sdrc_sclr_n(sdrc_sclr_n),
	.sys_rd_req(sys_rd_req),
	.sys_wr_req(sys_wr_req),
	.sdrc_ref_req(sdrc_ref_req),
	.bl_cnt_num(bl_cnt_num),
	.cmd_cnt_num(cmd_cnt_num),
	.cmd_nop(cmd_nop),
	.cmd_ref(cmd_ref),
	.cmd_act(cmd_act),
	.cmd_wra(cmd_wra),
	.cmd_rda(cmd_rda),
	.cmd_ready(cmd_ready),
	.bl_cnt_sclr(bl_cnt_sclr),
	.c_cmd_cnt_sclr(c_cmd_cnt_sclr),
	.dp_rd(dp_rd),
	.dp_wr(dp_wr)
);
SDRC_CMD_CNT sdrc_cmd_cnt0(
	.sys_clk(sys_clk),
	.sys_rst_n(sys_rst_n),
	.sys_sclr_n(sys_sclr_n),
	.i_cmd_cnt_sclr(i_cmd_cnt_sclr),
	.c_cmd_cnt_sclr(c_cmd_cnt_sclr),
	.cmd_cnt_num(cmd_cnt_num)
);
SDRC_BL_CNT sdrc_bl_cnt0(
	.sys_clk(sys_clk),
	.sys_rst_n(sys_rst_n),
	.sdrc_sclr_n(sdrc_sclr_n),
	.bl_cnt_sclr(bl_cnt_sclr),
	.bl_cnt_num(bl_cnt_num)
);
endmodule
