//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
//
//	sdrc_lite sdr sdram controller
//
//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
`timescale 1ns/100ps
module SDRC_CMD_FSM_TST_tb;
`include "../rtl/SDRC_LITE_PAR.v"
reg		sys_clk;
reg		sys_rst_n;
reg		sys_rd_req;
reg		sys_wr_req;
reg		sdrc_ref_req;
wire	cmd_nop;
wire	cmd_ref;
wire	cmd_act;
wire	cmd_wra;
wire	cmd_rda;
wire	cmd_ready;
wire	dp_rd;
wire	dp_wr;
reg		sys_sclr_n;
reg		ini_ready;
SDRC_CMD_FSM_TST sdrc_cmd_fsm_tst0(
	.sys_clk(sys_clk),
	.sys_rst_n(sys_rst_n),
	.sys_sclr_n(sys_sclr_n),
	.ini_ready(ini_ready),
	.sys_rd_req(sys_rd_req),
	.sys_wr_req(sys_wr_req),
	.sdrc_ref_req(sdrc_ref_req),
	.cmd_nop(cmd_nop),
	.cmd_ref(cmd_ref),
	.cmd_act(cmd_act),
	.cmd_wra(cmd_wra),
	.cmd_rda(cmd_rda),
	.cmd_ready(cmd_ready),
	.dp_rd(dp_rd),
	.dp_wr(dp_wr)
);
//clk
initial sys_clk = 1'b0;
always #5 sys_clk = ~sys_clk;
//rst and conditions
initial begin
	sys_rst_n		= 1'b1;
	sys_sclr_n		= 1'b1;
	ini_ready		= 1'b1;
	sys_rd_req		= 1'b0;
	sys_wr_req		= 1'b0;
	sdrc_ref_req	= 1'b0;
	#1
	sys_rst_n 		= 1'b0;
	#1
	sys_rst_n 		= 1'b1;
	#20
	//refrash states
	sdrc_ref_req 	= 1'b1;
	#10
	sdrc_ref_req 	= 1'b0;
	#(CtRFCm1*10 + 20)	
	//read states
	sys_rd_req		= 1'b1;
	#10
	sys_rd_req 		= 1'b0;
	#(CtRCDm1*10 + pCL*10 + pBL*10 + 40)
	//write states
	sys_wr_req		= 1'b1;
	#10
	sys_wr_req	 	= 1'b0;
	#(CtRCDm1*10 + 10 + pBL*10 + CtDALm1*10)
	//read and sclr
	sys_rd_req		= 1'b1;
	#10
	sys_rd_req		= 1'b0;
	#30
	sys_sclr_n		= 1'b0;
	#10
	sys_sclr_n		= 1'b1;
	#30
	$finish;
end
//For Verdi or Debussy debugging
initial begin
	$fsdbDumpfile("SDRC_CMD_FSM_TST_tb.fsdb");
	$fsdbDumpvars(0,SDRC_CMD_FSM_TST_tb);
end
endmodule
