//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
//
//	sdrc_lite sdr sdram controller
//
//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
`timescale 1ns/100ps
module SDRC_INI_CNT(
	input	sys_clk,
	input	sys_rst_n,
	input	sys_sclr_n,
	output	reg	ini_wait_done
);
`include "../rtl/SDRC_LITE_PAR.v"
	reg		[INIw_CNT_W-1:0]	ini_wait_cnt;
	always@(posedge sys_clk, negedge sys_rst_n)
		if(sys_rst_n == 1'b0) begin
			ini_wait_cnt	<=	0;
			ini_wait_done	<=	0;
		end
		else if(sys_sclr_n == 1'b0) begin
			ini_wait_cnt	<=	0;
			ini_wait_done	<=	0;
		end
		else if(ini_wait_done == 1'b0) begin
			ini_wait_cnt	<=	ini_wait_cnt + {{(INIw_CNT_W-1){1'b0}}, 1'b1};
//			ini_wait_cnt	<=	ini_wait_cnt + 1;
			ini_wait_done	<=	(ini_wait_cnt == CtINIw) ? 1'b1 : 1'b0;
		end
endmodule
