//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
//
//	sdrc_lite sdr sdram controller
//
//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
`timescale 1ns/100ps
module SDRC_INI_FSM_TST(
	sys_clk,
	sys_rst_n,
	sys_sclr_n,
	ini_nop,
	ini_prea,
	ini_ref,
	ini_lmr,
	ini_ready
);
`include "../rtl/SDRC_LITE_PAR.v"
input		sys_clk;
input		sys_rst_n;
input		sys_sclr_n;
output		ini_nop;
output		ini_prea;
output		ini_ref;
output		ini_lmr;
output		ini_ready;
wire		ini_wait_done;
wire		i_ref_over;
wire		[CMD_CNT_W-1:0]	cmd_cnt_num;
wire		i_cmd_cnt_sclr;
wire		c_cmd_cnt_sclr;
assign	c_cmd_cnt_sclr = 1'b0;
SDRC_INI_FSM sdrc_ini_fsm0(
	.sys_clk(sys_clk),
	.sys_rst_n(sys_rst_n),
	.sys_sclr_n(sys_sclr_n),
	.ini_wait_done(ini_wait_done),
	.i_ref_over(i_ref_over),
	.cmd_cnt_num(cmd_cnt_num),
	.i_cmd_cnt_sclr(i_cmd_cnt_sclr),
	.ini_nop(ini_nop),
	.ini_prea(ini_prea),
	.ini_ref(ini_ref),
	.ini_lmr(ini_lmr),
	.ini_ready(ini_ready)
);
SDRC_INI_CNT sdrc_ini_cnt0(
	.sys_clk(sys_clk),
	.sys_rst_n(sys_rst_n),
	.sys_sclr_n(sys_sclr_n),
	.ini_wait_done(ini_wait_done)
);
SDRC_REF_N_CNT sdrc_ref_n_cnt0(
	.sys_clk(sys_clk),
	.sys_rst_n(sys_rst_n),
	.sys_sclr_n(sys_sclr_n),
	.ini_ref(ini_ref),
	.i_ref_over(i_ref_over)
);
SDRC_CMD_CNT sdrc_cmd_cnt0(
	.sys_clk(sys_clk),
	.sys_rst_n(sys_rst_n),
	.sys_sclr_n(sys_sclr_n),
	.i_cmd_cnt_sclr(i_cmd_cnt_sclr),
	.c_cmd_cnt_sclr(c_cmd_cnt_sclr),
	.cmd_cnt_num(cmd_cnt_num)
);
endmodule
