//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
//
//	sdrc_lite sdr sdram controller
//
//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
`timescale 1ns/100ps
module SDRC_INI_FSM_tb;
`include "../rtl/SDRC_LITE_PAR.v"
reg		sys_clk;
reg		sys_rst_n;
reg		sys_sclr_n;
reg		c_cmd_cnt_sclr;
wire	ini_wait_done;
wire	i_ref_over;
wire	[CMD_CNT_W-1:0]	cmd_cnt_num;
wire	i_cmd_cnt_sclr;
wire	ini_nop;
wire	ini_prea;
wire	ini_ref;
wire	ini_lmr;
wire	ini_ready;
SDRC_INI_FSM sdrc_ini_fsm0(
	.sys_clk(sys_clk),
	.sys_rst_n(sys_rst_n),
	.sys_sclr_n(sys_sclr_n),
	.ini_wait_done(ini_wait_done),
	.i_ref_over(i_ref_over),
	.cmd_cnt_num(cmd_cnt_num),
	.i_cmd_cnt_sclr(i_cmd_cnt_sclr),
	.ini_nop(ini_nop),
	.ini_prea(ini_prea),
	.ini_ref(ini_ref),
	.ini_lmr(ini_lmr),
	.ini_ready(ini_ready)
);
SDRC_INI_CNT sdrc_ini_cnt0(
	.sys_clk(sys_clk),
	.sys_rst_n(sys_rst_n),
	.sys_sclr_n(sys_sclr_n),
	.ini_wait_done(ini_wait_done)
);
SDRC_REF_N_CNT sdrc_ref_n_cnt0(
	.sys_clk(sys_clk),
	.sys_rst_n(sys_rst_n),
	.sys_sclr_n(sys_sclr_n),
	.ini_ref(ini_ref),
	.i_ref_over(i_ref_over)
);
SDRC_CMD_CNT sdrc_cmd_cnt0(
	.sys_clk(sys_clk),
	.sys_rst_n(sys_rst_n),
	.sys_sclr_n(sys_sclr_n),
	.i_cmd_cnt_sclr(i_cmd_cnt_sclr),
	.c_cmd_cnt_sclr(c_cmd_cnt_sclr),
	.cmd_cnt_num(cmd_cnt_num)
);
//clk
initial sys_clk = 1'b0;
always #5 sys_clk = ~sys_clk;
//rst and conditions
initial begin
	sys_rst_n		= 1'b1;
	sys_sclr_n		= 1'b1;
	c_cmd_cnt_sclr	= 1'b0;
	#1
	sys_rst_n		= 1'b0;
	#1
	sys_rst_n		= 1'b1;
	#20
	//initial wait time
	#(CtINIw*10)
	//initialize FSM operate and wait
	#(CtRFCm1*10*200)
	//wait
	#20
	$finish;
end
//For Verdi or Debussy debugging
initial begin
	$fsdbDumpfile("SDRC_INI_FSM_tb.fsdb");
	$fsdbDumpvars(0,SDRC_INI_FSM_tb);
end
endmodule
