//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
//
//	sdrc_lite sdr sdram controller
//
//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
`timescale 1ns/100ps
module SDRC_REF_CNT(
	input	sys_clk,
	input	sys_rst_n,
	input	sdrc_sclr_n,			//sys_sclr_n & ini_ready
	input	cmd_ref,
	output	reg	ref_cnt_ref_req
);
`include "../rtl/SDRC_LITE_PAR.v"
	reg		[REFi_CNT_W-1:0]	ref_intv_cnt;
	always@(posedge sys_clk, negedge sys_rst_n)
		if(sys_rst_n == 1'b0) begin
			ref_intv_cnt	<=	0;
			ref_cnt_ref_req	<=	0;
		end
		else if((sdrc_sclr_n == 1'b0) | (cmd_ref == 1'b1)) begin
			ref_intv_cnt	<=	0;
			ref_cnt_ref_req	<=	0;
		end
		else if(ref_cnt_ref_req == 1'b0) begin
			ref_intv_cnt	<=	ref_intv_cnt + {{(REFi_CNT_W-1){1'b0}}, 1'b1};
			ref_cnt_ref_req	<=	(ref_intv_cnt == CtREFi) ? 1'b1 : 1'b0;
		end
endmodule
