//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
//
//	sdrc_lite sdr sdram controller
//
//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
`timescale 1ns/100ps
module SDRC_REF_CNT_tb;
`include "../rtl/SDRC_LITE_PAR.v"
reg		sys_clk;
reg		sys_rst_n;
reg		sdrc_sclr_n;
reg		cmd_ref;
wire	ref_cnt_ref_req;
SDRC_REF_CNT sdrc_ref_cnt0(
	.sys_clk(sys_clk),
	.sys_rst_n(sys_rst_n),
	.sdrc_sclr_n(sdrc_sclr_n),
	.cmd_ref(cmd_ref),
	.ref_cnt_ref_req(ref_cnt_ref_req)
);
//clk
initial sys_clk = 1'b0;
always #5 sys_clk = ~sys_clk;
//rst and conditions
initial begin
	sys_rst_n = 1'b1;
	sdrc_sclr_n = 1'b1;
	cmd_ref = 1'b0;
	#1
	sys_rst_n = 1'b0;
	#1
	sys_rst_n = 1'b1;
	//wait
	#(CtREFi*10)
	#200
	sdrc_sclr_n = 1'b0;
	#10
	sdrc_sclr_n = 1'b1;
	//wait
	#(CtREFi*10)	
	#20
	cmd_ref = 1'b1;
	#10
	cmd_ref = 1'b0;
	#100
	$finish;
end
//For Verdi or Debussy debugging
initial begin
	$fsdbDumpfile("SDRC_REF_CNT_tb.fsdb");
	$fsdbDumpvars(0,SDRC_REF_CNT_tb);
end
endmodule
