//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
//
//	sdrc_lite sdr sdram controller
//
//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
`timescale 1ns/100ps
module SDRC_REF_N_CNT(
	input	sys_clk,
	input	sys_rst_n,
	input	sys_sclr_n,
	input	ini_ref,
	output	reg	i_ref_over
);
`include "../rtl/SDRC_LITE_PAR.v"
	reg		[IrefN_CNT_W-1:0]	ref_n_cnt;
	always@(posedge sys_clk, negedge sys_rst_n)
		if(sys_rst_n == 1'b0) begin
			ref_n_cnt		<=	0;
			i_ref_over		<=	0;
		end
		else if(sys_sclr_n == 1'b0) begin
			ref_n_cnt		<=	0;
			i_ref_over		<=	0;
		end
		else if((i_ref_over == 1'b0) & (ini_ref == 1'b1)) begin
			ref_n_cnt		<=	ref_n_cnt + {{(IrefN_CNT_W-1){1'b0}}, 1'b1};
			i_ref_over		<=	(ref_n_cnt == IrefN - 1) ? 1'b1 : 1'b0;
		end
endmodule
