//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
//
//	sdrc_lite sdr sdram controller
//
//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
`timescale 1ns/100ps
module SDRC_REF_N_CNT_tb;
`include "../rtl/SDRC_LITE_PAR.v"
reg		sys_clk;
reg		sys_rst_n;
reg		sys_sclr_n;
reg		ini_ref;
wire	i_ref_over;
integer	i;
SDRC_REF_N_CNT sdrc_ref_n_cnt0(
	.sys_clk(sys_clk),
	.sys_rst_n(sys_rst_n),
	.sys_sclr_n(sys_sclr_n),
	.ini_ref(ini_ref),
	.i_ref_over(i_ref_over)
);
//clk
initial sys_clk = 1'b0;
always #5 sys_clk = ~sys_clk;
//rst and conditions
initial begin
	sys_rst_n = 1'b1;
	sys_sclr_n = 1'b1;
	ini_ref = 1'b0;
	#1
	sys_rst_n = 1'b0;
	#1
	sys_rst_n = 1'b1;
	//refrash
	for (i = 0; i < IrefN-1+2; i = i+1) begin
		#30
		ini_ref = 1'b1;
		#10
		ini_ref = 1'b0;			
	end	
	#100
	sys_sclr_n = 1'b0;
	#10
	sys_sclr_n = 1'b1;
	//refrash
	for (i = 0; i < IrefN-1+2; i = i+1) begin
		#30
		ini_ref = 1'b1;
		#10
		ini_ref = 1'b0;			
	end	
	#20	
	$finish;
end
//For Verdi or Debussy debugging
initial begin
	$fsdbDumpfile("SDRC_REF_N_CNT_tb.fsdb");
	$fsdbDumpvars(0,SDRC_REF_N_CNT_tb);
end
endmodule
