//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
//
//	sdrc_lite sdr sdram controller
//
//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
`timescale 1ns/100ps
module SDRC_REQ_MAN(
	input	sys_req,
	input	sys_ref,
	input	sys_wr_n,
	input	ref_cnt_ref_req,
	input	ini_ready,
	input	cmd_ready,
	output	sys_busy,
	output	sdrc_ref_req,
	output	sys_rd_req,
	output	sys_wr_req
);
	assign sys_busy = ref_cnt_ref_req | (~cmd_ready) | (~ini_ready);
	assign sdrc_ref_req = ini_ready & (((~ sys_req) & ref_cnt_ref_req) | 
		(sys_req & sys_ref));
	assign sys_rd_req = ini_ready & sys_req & (~sys_ref) & sys_wr_n;
	assign sys_wr_req = ini_ready & sys_req & (~sys_ref) & (~sys_wr_n);
endmodule
