//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
//
//	sdrc_lite sdr sdram controller
//
//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
`timescale 1ns/100ps
module SDRC_REQ_MAN_tb;
//SDRC_REQ_MAN inputs
wire	sys_req;
wire	sys_ref;
wire	sys_wr_n;
wire	ref_cnt_ref_req;
wire	ini_ready;
wire	cmd_ready;
//SDRC_REQ_MAN outputs
wire	sys_busy;
wire	sdrc_ref_req;
wire	sys_rd_req;
wire	sys_wr_req;
//test variables
integer	i;
reg		[5:0]	vec;
assign {ini_ready, cmd_ready, sys_req, ref_cnt_ref_req, 
	sys_ref, sys_wr_n} = vec;
SDRC_REQ_MAN sdrc_req_man0(
	.sys_req(sys_req),
	.sys_ref(sys_ref),
	.sys_wr_n(sys_wr_n),
	.ref_cnt_ref_req(ref_cnt_ref_req),
	.ini_ready(ini_ready),
	.cmd_ready(cmd_ready),
	.sys_busy(sys_busy),
	.sdrc_ref_req(sdrc_ref_req),
	.sys_rd_req(sys_rd_req),
	.sys_wr_req(sys_wr_req)
);
//rst and conditions
initial begin
	#10
	vec = 6'b0;
	//refrash
	for (i = 0; i < 2**6; i = i+1) begin
		#10
		vec = vec + 6'b000001;
	end	
	#20	
	$finish;
end
//For Verdi or Debussy debugging
initial begin
	$fsdbDumpfile("SDRC_REQ_MAN_tb.fsdb");
	$fsdbDumpvars(0,SDRC_REQ_MAN_tb);
end
endmodule
